Bug 21312 - Show lockout on Patrons form
Summary: Show lockout on Patrons form
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 18314 21336
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-03 13:25 UTC by Marcel de Rooy
Modified: 2019-05-10 19:12 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21312: Show lockout on Patrons form (1.99 KB, patch)
2018-10-11 07:53 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21312: Show lockout on Patrons form (2.03 KB, patch)
2019-01-18 20:12 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21312: Show lockout on Patrons form (2.10 KB, patch)
2019-01-20 12:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21312: (QA follow-up) Ease translation (1.64 KB, patch)
2019-01-20 12:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21312: Show lockout on Patrons form (2.37 KB, patch)
2019-04-19 10:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21312: (QA follow-up) Ease translation (1.58 KB, patch)
2019-04-19 10:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 21312: Show lockout on Patrons form (2.38 KB, patch)
2019-05-03 11:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21312: (QA follow-up) Ease translation (1.61 KB, patch)
2019-05-03 11:16 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-09-03 13:25:13 UTC
If a patron account has been locked out, we cannot see it on the Patrons form in staff. Would be nice however..

We can reset the lockout by changing the password. (Unfortunately we cannot force a temporary password for one-time use. Not for this report now.)

Before removing an account, it might be handy to have the feature of locking it from the Patrons form (or automatically by script?). (Might be a step e.g. in handling GDPR unsubscribe requests.)
Comment 1 Marcel de Rooy 2018-10-11 07:53:47 UTC
Created attachment 80385 [details] [review]
Bug 21312: Show lockout on Patrons form

Just what the title says :)
Specifically: moremember.pl

Test plan:
Check if you see the locked message on the patron form for an account
that has been locked. (Either login_attempts<0 or >FailedLoginAttempts)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 José-Mario Monteiro-Santos 2019-01-18 20:12:40 UTC
Created attachment 84218 [details] [review]
Bug 21312: Show lockout on Patrons form

Just what the title says :)
Specifically: moremember.pl

Test plan:
Check if you see the locked message on the patron form for an account
that has been locked. (Either login_attempts<0 or >FailedLoginAttempts)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 3 Katrin Fischer 2019-01-20 12:41:34 UTC
Created attachment 84246 [details] [review]
Bug 21312: Show lockout on Patrons form

Just what the title says :)
Specifically: moremember.pl

Test plan:
Check if you see the locked message on the patron form for an account
that has been locked. (Either login_attempts<0 or >FailedLoginAttempts)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-01-20 12:41:38 UTC
Created attachment 84247 [details] [review]
Bug 21312: (QA follow-up) Ease translation

I've changed the language a bit from "account locked out" to
"account locked" and split it up to ease translation.
Comment 5 Katrin Fischer 2019-01-20 12:45:49 UTC
This is a bit problematic as it depends on bug 21336 which introduces the administrative lockout that is currently in Faild QA.

The other is my follow-up suggesting some changes to the template and removing the "out". I am hesitating to move to BLOCKED because I think having the message on the patron account would be good to have now.

Marcel or someone, would you mind taking a look at my follow-up?
Comment 6 Martin Renvoize 2019-02-08 14:23:24 UTC
Needs a rebase..
Comment 7 Jonathan Druart 2019-02-16 17:45:32 UTC
< 0 ?
It's   `login_attempts` int(4) DEFAULT '0',
Comment 8 Jonathan Druart 2019-02-16 17:48:58 UTC
(In reply to Jonathan Druart from comment #7)
> < 0 ?
> It's   `login_attempts` int(4) DEFAULT '0',

Ok, it comes from bug 21336, I did not see the deps.
This sounds wrong to me.
Comment 9 Marcel de Rooy 2019-04-19 10:14:49 UTC
Created attachment 88346 [details] [review]
Bug 21312: Show lockout on Patrons form

Just what the title says :)
Specifically: moremember.pl

Test plan:
Check if you see the locked message on the patron form for an account
that has been locked. (Either login_attempts<0 or >FailedLoginAttempts)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Marcel de Rooy 2019-04-19 10:14:54 UTC
Created attachment 88347 [details] [review]
Bug 21312: (QA follow-up) Ease translation

I've changed the language a bit from "account locked out" to
"account locked" and split it up to ease translation.
Comment 11 Marcel de Rooy 2019-04-19 10:17:22 UTC
(In reply to Katrin Fischer from comment #5)
> The other is my follow-up suggesting some changes to the template and
> removing the "out". I am hesitating to move to BLOCKED because I think
> having the message on the patron account would be good to have now.
> 
> Marcel or someone, would you mind taking a look at my follow-up?

Fine with me. Thanks
Comment 12 Marcel de Rooy 2019-04-19 10:22:26 UTC
(In reply to Jonathan Druart from comment #8)
> Ok, it comes from bug 21336, I did not see the deps.
> This sounds wrong to me.

Wrong might not be the right word ;) We could move it to another field. Since locked and administratively locked are so close and exclusive, I just used one field as a status. Testing the field could be improved by centralizing in a method too, yes. But rather not here; this trivial report is just about showing the status.
Comment 13 Marcel de Rooy 2019-04-19 10:23:21 UTC
Katrin: I got the impression that you were about to pass QA on it, or not ?
Comment 14 Martin Renvoize 2019-05-03 11:16:35 UTC
Created attachment 89312 [details] [review]
Bug 21312: Show lockout on Patrons form

Just what the title says :)
Specifically: moremember.pl

Test plan:
Check if you see the locked message on the patron form for an account
that has been locked. (Either login_attempts<0 or >FailedLoginAttempts)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-05-03 11:16:38 UTC
Created attachment 89313 [details] [review]
Bug 21312: (QA follow-up) Ease translation

I've changed the language a bit from "account locked out" to
"account locked" and split it up to ease translation.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-05-03 11:17:07 UTC
Works well, no regressions.. Nicely translatable with the followup.

Passing QA
Comment 17 Marcel de Rooy 2019-05-06 06:30:46 UTC
(In reply to Martin Renvoize from comment #15)
> Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Thanks
Comment 18 Nick Clemens 2019-05-10 19:12:21 UTC
Awesome work all!

Pushed to master for 19.05